NAME
OpenAPI::Client::OpenAI::Path::organization-admin_api_keys-key_id - Documentation for the /organization/admin_api_keys/{key_id} path.
OPERATIONS
DELETE /organization/admin_api_keys/{key_id}
admin-api-keys-delete
$client->admin_api_keys_delete({
body => { ... },
});
Delete an organization admin API key
Delete the specified admin API key.
Path/query parameters
key_id(in path, required, string)
Responses
200 - Confirmation that the API key was deleted.
Content-Type: application/json
Properties:
deleted(boolean, required)id(string, required)object(string, required)Allowed values: organization.admin_api_key.deleted
Example:
{
"deleted" : true,
"id" : "key_abc",
"object" : "organization.admin_api_key.deleted"
}
GET /organization/admin_api_keys/{key_id}
admin-api-keys-get
$client->admin_api_keys_get({
body => { ... },
});
Retrieve a single organization API key
Get details for a specific organization API key by its ID.
Path/query parameters
key_id(in path, required, string)
Responses
200 - Details of the requested API key.
Content-Type: application/json
Example:
{
"created_at" : 1711471533,
"id" : "key_abc",
"last_used_at" : 1711471534,
"name" : "Main Admin Key",
"object" : "organization.admin_api_key",
"owner" : {
"created_at" : 1711471533,
"id" : "user_123",
"name" : "John Doe",
"object" : "organization.user",
"role" : "owner",
"type" : "user"
},
"redacted_value" : "sk-admin...xyz"
}
SCHEMAS
AdminApiKey
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) of when the API key was createdid(string, required) - The identifier, which can be referenced in API endpointslast_used_at(anyOf)name(anyOf) - The name of the API keyobject(string, required) - The object type, which is alwaysorganization.admin_api_keyAllowed values: organization.admin_api_key
owner(object, required)redacted_value(string, required) - The redacted value of the API key
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.